Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HCorrelatorMessage

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject
          org.apache.ode.daohib.bpel.hobj.HCorrelatorMessage

    public class HCorrelatorMessage

extends HObject

Field Summary
`static java.lang.String` | `DELETE_CORMESSAGES_BY_INSTANCE`
`static java.lang.String` | `DELETE_CORMESSAGES_BY_MEX`
`static java.lang.String` | `DELETE_CORMESSAGES_BY_PROCESS`

Constructor Summary
`HCorrelatorMessage()`

Method Summary
`java.lang.String` | `getCorrelationKey()`
`HCorrelator` | `getCorrelator()`
`HMessageExchange` | `getMessageExchange()`
`void` | `setCorrelationKey(java.lang.String correlationKey)`
`void` | `setCorrelator(HCorrelator correlator)`
`void` | `setMessageExchange(HMessageExchange data)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject
`getCreated, getId, getLock, setCreated, setId, setLock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_CORMESSAGES_BY_PROCESS

    public static final java.lang.String DELETE_CORMESSAGES_BY_PROCESS

See Also:
  Constant Field Values

### DELETE_CORMESSAGES_BY_MEX

    public static final java.lang.String DELETE_CORMESSAGES_BY_MEX

See Also:
  Constant Field Values

### DELETE_CORMESSAGES_BY_INSTANCE

    public static final java.lang.String DELETE_CORMESSAGES_BY_INSTANCE

See Also:
  Constant Field Values

Constructor Detail

### HCorrelatorMessage

    public HCorrelatorMessage()

Method Detail

### getMessageExchange

    public HMessageExchange getMessageExchange()

### setMessageExchange

    public void setMessageExchange(HMessageExchange data)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `HObject`

### getCorrelationKey

    public java.lang.String getCorrelationKey()

### setCorrelationKey

    public void setCorrelationKey(java.lang.String correlationKey)

### getCorrelator

    public HCorrelator getCorrelator()

### setCorrelator

    public void setCorrelator(HCorrelator correlator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD